Plank.HideManager – plank Reference Manual

# HideManager

## Object Hierarchy:

## Description:

public class HideManager : Object

Handles checking if a dock should hide or not.

Namespace: Plank
Package: plank

## Content:

### Properties:

- public bool Disabled { get; }
  If hiding the dock is currently disabled
- public bool Hidden { get; }
  If the dock is currently hidden.
- public bool Hovered { get; }
  If the dock is currently hovered by the mouse cursor.
- public DockController controller { construct; }

### Creation methods:

- public HideManager (DockController controller)
  Creates a new instance of a HideManager, which handles checking if a dock should hide or not.

### Methods:

- public void initialize ()
  Initializes the hide manager. Call after the DockWindow is constructed.
- public void update_barrier ()
- public void update_hovered ()
  Checks to see if the dock is being hovered by the mouse cursor.
- public void update_hovered_with_coords (int x, int y)
  Checks to see if the dock is being hovered by the mouse cursor.

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref